body{
    margin-top: 20px;
}
a:link {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:visited {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:hover {
    color: red;
    background-color: transparent;
    text-decoration: underline;
}
.shop{
    font-size: 200%;  
}
header{
    text-align: center;
}
@media only screen and (min-width:1201px)
{
    body{
        margin-left: 25%;
        margin-right: 25%;
    }
    header{
        text-align: center;
        font-size:80%;
    }
    header h4{
        margin-top:60px;
        font-size: 150%;
    }
    header p{
        margin-bottom: 70px;
    }
    section{
        font-size:80%;
    }
    img{
        width: 80%;
        height: auto;
    }
    .grid{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    }
    .image{
        grid-row:1;
        grid-column: 1/2;
    }
    .name{
        grid-row:1;
        grid-column: 2/4;
    }
    .cancle{
        grid-row:1;
        grid-column: 7/8;
        margin-top:15px;
    }
    .size{
        grid-row:1;
        grid-column: 5/6;
    }
    .prize{
        grid-row: 1;
        grid-column: 6/7;
    }
    .quantity{
        display: flex;
        grid-row: 1;
        grid-column: 4/5;
    }
    .quantity p{
        width: 40px;
    }
    .quantity select{
        margin-top:10px;
        width:40px;
        height: 25px;
        background-color: transparent;
        border: none;
        font-size: 110%;
    }
    .total{
        grid-column: 4/5;
        grid-row:2;
    }
    .total-prize{
        grid-column: 5/6;
        grid-row: 2;
    }
    .checkout{
        grid-column: 6/8;
        grid-row: 2;
        display: flex;
        width: 150px;
        height: 40px;
        justify-content: center;
        align-items: center;
        border: 2px black solid; 
    }

}
@media only screen and (max-width:1200px) 
{
    @media only screen and (min-width:766px)
    {
        header{
            text-align: center;
            font-size:80%;
        }
        header h4{
            margin-top:60px;
        }
        header p{
            margin-bottom: 60px;
        }
        section{
            font-size:80%;
        }
        img{
            width: 80%;
            height: auto;
        }
        .grid{
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
        }
        .image{
            grid-row:1;
            grid-column: 1/2;
        }
        .name{
            grid-row:1;
            grid-column: 2/4;
        }
        .cancle{
            grid-row:1;
            grid-column: 7/8;
            margin-top:15px;
        }
        .size{
            grid-row:1;
            grid-column: 5/6;
        }
        .prize{
            grid-row: 1;
            grid-column: 6/7;
        }
        .quantity{
            display: flex;
            grid-row: 1;
            grid-column: 4/5;
        }
        .quantity p{
            width: 40px;
        }
        .quantity select{
            margin-top:10px;
            width:40px;
            height: 25px;
            background-color: transparent;
            border: none;
            font-size: 110%;
        }
        .total{
            grid-column: 4/5;
            grid-row:2;
        }
        .total-prize{
            grid-column: 5/6;
            grid-row: 2;
        }
        .checkout{
            grid-column: 6/8;
            grid-row: 2;
            display: flex;
            width: 150px;
            height: 40px;
            justify-content: center;
            align-items: center;
            border: 2px black solid; 
        }

    }
    
}
@media only screen and (max-width:765px)
{
    header{
        text-align: center;
        font-size:70%;
    }
    section{
        font-size:80%;
    }
    img{
        width: 100%;
        height: auto;
    }
    .grid{
        display: grid;
        grid-template-columns: 1fr 1fr  1fr 1fr 1fr;
    }
    .image{
        grid-row:1/3;
        grid-column: 1/2;
    }
    .name{
        grid-row:1;
        grid-column: 2/5;
    }
    .cancle{
        grid-row:1;
        grid-column: 5/6;
        margin-top:15px;
    }
    .size{
        grid-row:2;
        grid-column: 4/5;
    }
    .prize{
        grid-row: 2;
        grid-column: 5/6;
    }
    .quantity{
        display: flex;
        grid-row: 2;
        grid-column: 3/3;
    }
    .quantity p{
        width: 40px;
    }
    .quantity select{
        margin-top:10px;
        width:40px;
        height: 25px;
        background-color: transparent;
        border: none;
        font-size: 110%;
    }
    .total{
        grid-column: 4/5;
        grid-row:3;
    }
    .total-prize{
        grid-column: 5/6;
        grid-row: 3;
    }
    .checkout{
        position: fixed;
        bottom: 0px;
        width: 94%;
        padding: 3%;
        text-align: center;
        background-color:midnightblue;
        
    }
    .checkout b{
        color: white;
        font-size: 100%;
    }
    
}
